> ## Documentation Index
> Fetch the complete documentation index at: https://help.aasaan.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a tag.

> Update a tag.



## OpenAPI

````yaml patch /{storeId}/tags/{id}
openapi: 3.0.0
info:
  title: AASAAN PARTNER REST API
  version: 1.0.0
  description: >-
    REST API endpoints are organized by resource type. You’ll need to use
    different endpoints depending on your app’s requirements.
servers:
  - url: https://partner-api.aasaan.shop/api/v1/partner-integrations/stores
    description: Development server
security: []
tags: []
paths:
  /{storeId}/tags/{id}:
    patch:
      tags:
        - Tag
      summary: Update a tag.
      description: Update a tag.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: Tag id
        - name: storeId
          in: path
          required: true
          schema:
            type: string
            description: Store ID for this resource request
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagUpdateBody'
              type: object
      responses:
        '200':
          description: Tag updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tag'
        '403':
          description: Invalid Api Key
        '500':
          description: Internal Server Error
components:
  schemas:
    TagUpdateBody:
      properties:
        name:
          type: string
          description: Name to be used for this tag
          example: vegan
        imageUrl:
          type: string
          description: Image that represents this tag
          example: https://images.aasaan.shop/stores/logo/logo_1684500490812.png
    Tag:
      properties:
        id:
          type: string
          description: Unique identifier for the resource that was used to create this tag
          example: vegan-tag-id-1
        name:
          type: string
          description: Name Used for this tag
          example: vegan
        imageUrl:
          type: string
          description: Name Used for this tag
          example: vegan

````